Subject: Re: [PATCH] git-am: error out when seeing -b/--binary

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Mar 2012 11:22:10 -0700

Jonathan Nieder <[email-masked]> writes:

>> I really don't think it is a good idea to avoid mentioning 1.6.0, at
>> which we *removed* description of the option in our manual pages and
>> from the "git am -h" help message. How much more active deprecation
>> would a user want?
>
> A warning when the option is used or a mention in the release notes.

Ok, then we should probably instead do these two starting at 1.7.10 ("the
official deprecation date"), and then start erroring out on "-b" three
cycles after that.